CONDOR_VERSION(1)

NAME
condor_version - HTCondor Manual

Display current HTCondor installation details.

SYNOPSIS

condor_version [-help]

condor_version [-arch] [-opsys]

DESCRIPTION

Display the current HTCondor installation's version number and platform information.

OPTIONS

            -help
                Print usage information.

            -arch
                Print this machine's computer architecture (Arch <href="../classad-attributes/machine-classad-attributes.html#Arch">).

            -opsys
                Print this machine's operating system (OpSys <href="../classad-attributes/machine-classad-attributes.html#OpSys">).

GENERAL REMARKS

The version number includes the following information:

            •   The build date.

            •   A build identification number.

            •   A package identification string.

            •   The GitSHA for the build.

EXIT STATUS

0 - Success

1 - Failure has occurred

EXAMPLES

Get current HTCondor installation's version and platform information:

            $ condor_version

Get current machine's computer architecture:

            $ condor_version -arch

SEE ALSO

None

AVAILABILITY

Linux, MacOS, Windows

Author
HTCondor Team

Copyright
1990-2026, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.